%define pptp_linux_version 1.5.0

Name: pptp-client
Version: 1.5.0
Release: alt1
Summary: Point-to-Point Tunneling Protocol (PPTP) Client
Copyright: GPL
URL: http://pptpclient.sourceforge.net
Group: Networking/Other

Obsoletes: pptp-client <= 1.2.0 pptp-client-fe <= 1.2.0 pptp-client-fe-Tk <= 1.2.0

Source0: pptp-linux-%pptp_linux_version.tar.bz2
Source1: pptp-config
Source2: pptptunnel.init
Source3: pptp-README.rus
Source4: pptp-options-2Com
Source7: pptp-doc.tar.bz2
Source8: pptp-ifcfg-pptp0
Source9: pptp-ifup-pptp
Source10: pptp-ifdown-pptp


PreReq: ppp
Conflicts: pptp-adsl


%description
Client for the proprietary Microsoft Point-to-Point Tunneling
Protocol, PPTP.  Allows connection to a PPTP based VPN as used
by employers and some cable and ADSL service providers.

%description -l ru_RU.KOI8-R
     Point-to-Point Tunneling Protocol
(PPTP),  Microsoft.     VPN
,   PPTP,     
      ADSL .


%prep
rm -rf $RPM_BUILD_ROOT

%setup -b 0 -n pptp-linux-%version
%setup -D -a 7 -n pptp-linux-%version
%__cp %SOURCE4 options-2Com
%__cp %SOURCE3 README.rus


%build
%make OPTIMIZE="$RPM_OPT_FLAGS"

%install
%__install -m 755 -d $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 pptp $RPM_BUILD_ROOT%{_sbindir}/pptp
%__install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_sbindir}/pptp-config

%__install -m 755 -d $RPM_BUILD_ROOT%{_initdir}
%__install -m 755 %SOURCE2 $RPM_BUILD_ROOT%{_initdir}/pptptunnel

%__install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig
cat << EOF > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/pptp
# Tunnel name
PPTP_TUNNEL=
EOF

%__install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts
%__install -m 644 %SOURCE8 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/ifcfg-pptp0
%__install -m 750 %SOURCE9 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/ifup-pptp
%__install -m 750 %SOURCE10 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/ifdown-pptp

%__install -m 755 -d $RPM_BUILD_ROOT%_man8dir
%__install -m 644 pptp.8 $RPM_BUILD_ROOT%_man8dir/pptp.8

%__install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/ppp
cat << EOF >  $RPM_BUILD_ROOT%_sysconfdir/ppp/options.pptp
EOF


%post
%post_service pptptunnel

%preun
%preun_service pptptunnel


%files
%doc AUTHORS COPYING NEWS README TODO USING Documentation/ pptp-doc/* README.rus options-2Com
%config(noreplace) %_sysconfdir/ppp/options.pptp
%config(noreplace) %_sysconfdir/sysconfig/pptp
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifcfg-pptp0
%_sysconfdir/sysconfig/network-scripts/ifup-pptp
%_sysconfdir/sysconfig/network-scripts/ifdown-pptp
%_man8dir/*
%_sbindir/*
%_initdir/pptptunnel


%changelog
* Mon Aug 02 2004 Yury A. Zotov <yz@altlinux.ru> 1.5.0-alt1
- new version
- howto-diagnosis.html updated

* Sat May 01 2004 Yury A. Zotov <yz@altlinux.ru> 1.4.0-alt2
- misprints in README.rus correction

* Thu Feb 12 2004 Yury A. Zotov <yz@altlinux.ru> 1.4.0-alt1
- new version
- add support for ifup/ifdown
- documentation updated

* Sun Jun 22 2003 Yury A. Zotov <yz@altlinux.ru> 1.3.1-alt1
- new initscript conforming to new initscripts scheme
- pptp-command removed
- pptp-config is new configuring tool
- README.rus rewritten to describe recent changes
- pptp_fe and xpptp_fe removed

* Tue Mar 25 2003 Yury A. Zotov <yz@altlinux.ru> 1.2.0-alt2
- bug 0002419 fixed

* Fri Feb 21 2003 Yury A. Zotov <yz@altlinux.ru> 1.2.0-alt1
- new version
- package split: pptp-client, pptp-client-fe, pptp-client-fe-Tk
- init script updated for use with bind9

* Wed Oct 23 2002 Yury A. Zotov <yz@altlinux.ru> 1.1.0-alt5
- added section about routing aspects in README.rus

* Sun Oct 13 2002 Yury A. Zotov <yz@altlinux.ru> 1.1.0-alt4
- rebuild for gcc3.2
- updated howto-diagnosis.html

* Tue May 7 2002 Yury Zotov <yz@altlinux.ru> 1.1.0-alt3
- README.rus updated
- using %post_service and %preun_service
- pptptunnel.init added in "off" state by default
- spec file cleanup

* Fri Apr 12 2002 Yury Zotov <yz@altlinux.ru> 1.1.0-alt2
- added workaround for ignoring holdoff parameter in options-2Com
- added howto-diagnosis.html
- some cleanups

* Sun Mar 24 2002 Yury Zotov <yz@altlinux.ru> 1.1.0-alt1
- pptp-linux-1.1.0
- spec cleanup
- translation in russian

* Tue Feb 12 2002 Yury Zotov <yz@altlinux.ru> 1.0.3-alt4
- Packager field corrected

* Thu Dec 20 2001 Yury Zotov <yz@altlinux.ru> 1.0.3-alt3
- pptp-extras sinchronized with CVS
- added some documentation
- spec file cleanup

* Thu Nov 8 2001 Yury Zotov <yz@altlinux.ru> 1.0.3-alt2
- updates in pptptunnel script
- added /etc/pptp.d directory

* Wed Oct 31 2001 Yury Zotov <yz@altlinux.ru> 1.0.3-alt1
- new version

* Sun Mar 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.0.2-ipl6mdk
- Build for ALT

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-5mdk
- build for gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-4mdk
- BM

* Thu Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-3mdk
- fix group
- clean spec

* Thu Jan 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- add conflicts tag
- fix buildroot

* Tue Oct 11 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations
